Subject: bug#77439: [PATCH] Eglot: introduce eglot-show-diagnostics-source

From: Nicolás Ojeda Bär <[email-masked]>
Date: Wed, 2 Apr 2025 08:39:04 +0200

Dear João,

Thanks for the quick reply. I'm including here a revised version of the patch.

On Tue, Apr 1, 2025 at 11:46 PM João Távora <[email-masked]> wrote:
>
> Thanks.   The patch looks good and ticks all the boxes.  Well almost,
> there  are some minor details I didn't tell you about and are easy to miss.
>
> * two spaces between sentences in documentation.

Fixed, thanks.

> * the first line of the docstring should be a complete sentence and
> fit in a line when the docstring is formatted with M-q

Fixed, thanks.

> * perhaps some other micro things I missed
> * the code used concat to handle the nilness of source/code, this one
> is more explicit.  i can live with that though, maybe it's better like this.

OK, I left this part of the code as it is.

> The most important and boring thing will be to figure out if you need
> a copyright assignment for this contribution.  Maybe not, if it counts
> as a "trivial" patch, but you should probably get one started
> regardless.  Eli, please advise.

Actually, I believe I have a copyright assignment on file from long time ago.
Otherwise, let me know and I'll submit the papers.

Thanks!

Cheers,
Nicolas

> João